Skip to main content

Create Lead: Realpage

POSThttps://api.propexo.com/v1/leads/realpage/
InterfaceMethod
Prospect Management ODEInsertProspect
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_source_idstring

    The Propexo unique identifier for the lead source

    last_namestringrequired

    The last name associated with the lead

    Possible values: <= 30 characters

    first_namestringrequired

    The first name associated with the lead

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_source_idstring | nullnullablerequired

    The Propexo unique identifier for the lead source

    last_namestringrequired

    The last name associated with the lead

    Possible values: <= 30 characters

    first_namestringrequired

    The first name associated with the lead

    Possible values: <= 30 characters

    email_1(string | null)<email>nullablerequired

    The primary email address associated with the lead

    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    address_1string | nullnullablerequired

    The first address line associated with the lead

    address_2string | nullnullablerequired

    The second address line associated with the lead

    citystring | nullnullablerequired

    The city associated with the lead

    statestring | nullnullablerequired

    The state associated with the lead

    zipstring | nullnullablerequired

    The zip code associated with the lead

    countrystring | nullnullablerequired

    The country associated with the lead

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leads/realpage/
curl -X POST https://api.propexo.com/v1/leads/realpage/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"last_name": "string",
"first_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_source_id": "string",
"last_name": "string",
"first_name": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
}